Package org.apache.commons.compress.harmony.unpack200

# Class SegmentHeader

java.lang.Object
org.apache.commons.compress.harmony.unpack200.SegmentHeader

public class SegmentHeader extends Object
SegmentHeader is the header band of a `Segment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SegmentHeader(Segment segment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getArchiveModtime()`
  `long`
  `getArchiveSize()`
  `int`
  `getArchiveSizeOffset()`
  `int`
  `getAttributeDefinitionCount()`
  `InputStream`
  `getBandHeadersInputStream()`
  Obtain the band headers data as an input stream.
  `int`
  `getBandHeadersSize()`
  `int`
  `getClassCount()`
  `int`
  `getCpClassCount()`
  `int`
  `getCpDescriptorCount()`
  `int`
  `getCpDoubleCount()`
  `int`
  `getCpFieldCount()`
  `int`
  `getCpFloatCount()`
  `int`
  `getCpIMethodCount()`
  `int`
  `getCpIntCount()`
  `int`
  `getCpLongCount()`
  `int`
  `getCpMethodCount()`
  `int`
  `getCpSignatureCount()`
  `int`
  `getCpStringCount()`
  `int`
  `getCpUTF8Count()`
  `int`
  `getDefaultClassMajorVersion()`
  `int`
  `getDefaultClassMinorVersion()`
  `int`
  `getInnerClassCount()`
  `int`
  `getNumberOfFiles()`
  `SegmentOptions`
  `getOptions()`
  `int`
  `getSegmentsRemaining()`
  `void`
  `read(InputStream in)`
  `void`
  `setArchiveModtime(long archiveModtime)`
  `void`
  `setArchiveSize(long archiveSize)`
  `void`
  `setSegmentsRemaining(long value)`
  `void`
  `unpack()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SegmentHeader

    public SegmentHeader(Segment segment)

- ## Method Details

  - ### getArchiveModtime

    public long getArchiveModtime()

  - ### getArchiveSize

    public long getArchiveSize()

  - ### getArchiveSizeOffset

    public int getArchiveSizeOffset()

  - ### getAttributeDefinitionCount

    public int getAttributeDefinitionCount()

  - ### getBandHeadersInputStream

    public InputStream getBandHeadersInputStream()
    Obtain the band headers data as an input stream. If no band headers are present, this will return an empty input stream to prevent any further reads taking place. Note that as a stream, data consumed from this input stream can't be re-used. Data is only read from this stream if the encoding is such that additional information needs to be decoded from the stream itself.
    Returns:
      the band headers input stream

  - ### getBandHeadersSize

    public int getBandHeadersSize()

  - ### getClassCount

    public int getClassCount()

  - ### getCpClassCount

    public int getCpClassCount()

  - ### getCpDescriptorCount

    public int getCpDescriptorCount()

  - ### getCpDoubleCount

    public int getCpDoubleCount()

  - ### getCpFieldCount

    public int getCpFieldCount()

  - ### getCpFloatCount

    public int getCpFloatCount()

  - ### getCpIMethodCount

    public int getCpIMethodCount()

  - ### getCpIntCount

    public int getCpIntCount()

  - ### getCpLongCount

    public int getCpLongCount()

  - ### getCpMethodCount

    public int getCpMethodCount()

  - ### getCpSignatureCount

    public int getCpSignatureCount()

  - ### getCpStringCount

    public int getCpStringCount()

  - ### getCpUTF8Count

    public int getCpUTF8Count()

  - ### getDefaultClassMajorVersion

    public int getDefaultClassMajorVersion()

  - ### getDefaultClassMinorVersion

    public int getDefaultClassMinorVersion()

  - ### getInnerClassCount

    public int getInnerClassCount()

  - ### getNumberOfFiles

    public int getNumberOfFiles()

  - ### getOptions

    public SegmentOptions getOptions()

  - ### getSegmentsRemaining

    public int getSegmentsRemaining()

  - ### read

    public void read(InputStream in) throws IOException, Error, Pack200Exception
    Throws:
      `IOException`
      `Error`
      `Pack200Exception`

  - ### setArchiveModtime

    public void setArchiveModtime(long archiveModtime)

  - ### setArchiveSize

    public void setArchiveSize(long archiveSize)

  - ### setSegmentsRemaining

    public void setSegmentsRemaining(long value)

  - ### unpack

    public void unpack()